Panda3D

- Main Page
- Packages
- Classes

- Class List
- Class Index
- Class Hierarchy
- Class Members

Static Public Member Functions

# MouseButton Class Reference

This class is just used as a convenient namespace for grouping all of these handy functions that return buttons which map to standard mouse buttons. More...

List of all members.

## Static Public Member Functions
static ButtonHandle | button (int button_number)
| Returns the ButtonHandle associated with the particular numbered mouse button (zero-based), if there is one, or ButtonHandle.none() if there is not.
static ButtonHandle | five ()
| Returns the ButtonHandle associated with the fifth mouse button.
static ButtonHandle | four ()
| Returns the ButtonHandle associated with the fourth mouse button.
static bool | isMouseButton (ButtonHandle button)
| Returns true if the indicated ButtonHandle is a mouse button, false if it is some other kind of button.
static ButtonHandle | one ()
| Returns the ButtonHandle associated with the first mouse button.
static ButtonHandle | three ()
| Returns the ButtonHandle associated with the third mouse button.
static ButtonHandle | two ()
| Returns the ButtonHandle associated with the second mouse button.
static ButtonHandle | wheelDown ()
| Returns the ButtonHandle generated when the mouse wheel is rolled one notch downwards.
static ButtonHandle | wheelLeft ()
| Returns the ButtonHandle generated when the mouse is scrolled to the left.
static ButtonHandle | wheelRight ()
| Returns the ButtonHandle generated when the mouse is scrolled to the right.
static ButtonHandle | wheelUp ()
| Returns the ButtonHandle generated when the mouse wheel is rolled one notch upwards.

## Detailed Description

This class is just used as a convenient namespace for grouping all of these handy functions that return buttons which map to standard mouse buttons.

## Member Function Documentation

static ButtonHandle button | ( | int | button_number | ) | `[static]`

Returns the ButtonHandle associated with the particular numbered mouse button (zero-based), if there is one, or ButtonHandle.none() if there is not.

static ButtonHandle five | ( |  | ) | `[static]`

Returns the ButtonHandle associated with the fifth mouse button.

static ButtonHandle four | ( |  | ) | `[static]`

Returns the ButtonHandle associated with the fourth mouse button.

static bool isMouseButton | ( | ButtonHandle | button | ) | `[static]`

Returns true if the indicated ButtonHandle is a mouse button, false if it is some other kind of button.

static ButtonHandle one | ( |  | ) | `[static]`

Returns the ButtonHandle associated with the first mouse button.

static ButtonHandle three | ( |  | ) | `[static]`

Returns the ButtonHandle associated with the third mouse button.

static ButtonHandle two | ( |  | ) | `[static]`

Returns the ButtonHandle associated with the second mouse button.

static ButtonHandle wheelDown | ( |  | ) | `[static]`

Returns the ButtonHandle generated when the mouse wheel is rolled one notch downwards.

static ButtonHandle wheelLeft | ( |  | ) | `[static]`

Returns the ButtonHandle generated when the mouse is scrolled to the left.

Usually, you'll only find the horizontal scroll on laptops.

static ButtonHandle wheelRight | ( |  | ) | `[static]`

Returns the ButtonHandle generated when the mouse is scrolled to the right.

Usually, you'll only find the horizontal scroll on laptops.

static ButtonHandle wheelUp | ( |  | ) | `[static]`

Returns the ButtonHandle generated when the mouse wheel is rolled one notch upwards.

All Classes Namespaces Functions Variables Enumerations Enumerator Properties